#
# spec file for package perl-Sys-Hostname-Long
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Sys-Hostname-Long
Name:           perl-Sys-Hostname-Long
Version:        1.500.0
Release:        1.1
# 1.5 -> normalize -> 1.500.0
%define cpan_version 1.5
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Try every conceivable way to get full hostname
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/S/SC/SCOTT/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
Provides:       perl(Sys::Hostname::Long) = %{version}
%undefine       __perllib_provides
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  hostname
# MANUAL END

%description
How to get the host full name in perl on multiple operating systems (mac,
windows, unix* etc)

%prep
%autosetup  -n %{cpan_name}-%{cpan_version} -p1

find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -path "*/scripts/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README

%changelog
* Mon Feb 10 2025 Tina Müller <tina.mueller@suse.com>
- Normalize CPAN version
  See https://github.com/openSUSE/cpanspec/issues/47 for details
* Wed Jul 12 2017 dimstar@opensuse.org
- Add explicit hostname BuildRequires: rpm-build's dependency on
  net-tools (which pulled in hostname) has been eliminated.
* Sat Feb  7 2015 coolo@suse.com
- updated to 1.5
  Improvements by Michiel Bejen <michiel.beijen@gmail.com>
* Wed Mar 27 2013 rschweikert@suse.com
- disable perl-macros as BuildRequires for openSUSE >= 12.2
- change implemented by rusjako
* Wed Dec 14 2011 coolo@suse.com
- fix license to be in spdx.org format
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon May 24 2010 coolo@novell.com
- do not build noarch
* Wed Apr  7 2010 chris@computersalat.de
- cleanup spec
  o fixed HEADER, TAGS, deps, macros, description
- added perl-macros
- moved changelog to changes file
  Fr Mär  3 10:42:51 UTC 2006 - dries@ulyssis.org
- Initial package.
